Debian Bug report logs - #344048
installation-guide: Please make &debian; , and some other entities translatable

version graph

Package: installation-guide; Maintainer for installation-guide is Debian Install System Team <debian-boot@lists.debian.org>;

Reported by: Changwoo Ryu <cwryu@debian.org>

Date: Mon, 19 Dec 2005 17:18:02 UTC

Severity: normal

Found in version installation-guide/svn

Fixed in version installation-guide/20070319

Done: Frans Pop <fjp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#344048; Package installation-guide. Full text and rfc822 format available.

Acknowledgement sent to Changwoo Ryu <cwryu@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Changwoo Ryu <cwryu@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: installation-guide: Please make &debian; , and some other entities translatable
Date: Tue, 20 Dec 2005 02:05:56 +0900
Package: installation-guide
Version: svn trunk
Severity: normal


In Korean books/medias, foreign words are usually written as Korean
Hangul texts rather than the original ones.  (Exceptions include acronyms
and unpronounceable words.) That's why I translated "Debian" as
"데비안" and "Linux" as "리눅스".  

And such words include "Intel", "Apple", "Motorola", ...(The Korean 
branches of these companies are actually using their "localzied"
Hangul names.)

But manual/build/entities/common.ent file defines &debian; entity as
"Debian GNU/Linux" language independently, which makes the Korean
translated manual very inconsistent.  

We need a way to translate these entities.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14
Locale: LANG=ko_KR.UTF-8, LC_CTYPE=ko_KR.UTF-8 (charmap=UTF-8)







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#344048; Package installation-guide. Full text and rfc822 format available.

Acknowledgement sent to Miroslav Kure <kurem@upcase.inf.upol.cz>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 344048@bugs.debian.org (full text, mbox):

From: Miroslav Kure <kurem@upcase.inf.upol.cz>
To: 344048@bugs.debian.org
Subject: Re: Bug#344048: installation-guide: Please make &debian; , and some other entities translatable
Date: Wed, 28 Dec 2005 23:56:29 +0100
On Tue, Dec 20, 2005 at 02:05:56AM +0900, Changwoo Ryu wrote:
> 
> But manual/build/entities/common.ent file defines &debian; entity as
> "Debian GNU/Linux" language independently, which makes the Korean
> translated manual very inconsistent.  
> 
> We need a way to translate these entities.

One really simple solution would be:

(This is probably the same as
 http://lists.debian.org/debian-boot/2004/12/msg00973.html but with
 real code attached :-))

cd manual
mkdir build/entities/l10n
for lang in ?? ??_??; do touch build/entities/l10n/${lang}.ent; done
rm build/entities/l10n/po.ent #not a language :-)
cd po
for lang in ?? ??_??; do touch ../build/entities/l10n/${lang}.ent; done

Add the following line to the build/templates/install.xml.template:
 <!ENTITY % dynamicdata    SYSTEM "../##TEMPDIR##/dynamic.ent"       > %dynamicdata;
+<!ENTITY % langdata       SYSTEM "##ENTPATH##/l10n/##LANG##.ent"       > %langdata;
 <!ENTITY % commondata     SYSTEM "##ENTPATH##/common.ent"        > %commondata;


Remarks:

 - each language would need its file in entities/l10n/
   (missing file will cause warning, but the build will go on)
   
 - when using different encoding from UTF-8, translators will need to
   specify it in their l10n/xx.ent file like they do in regular .xml
   files e.g. <?xml version="1.0" encoding="ISO-8859-2"?>
   
 - maybe we could prefill l10n/en.ent (or even all l10n/.ent files?)
   with some reasonable examples from common.ent

-- 
Miroslav Kure



Tags added: pending Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Frans Pop <fjp@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Changwoo Ryu <cwryu@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 344048-close@bugs.debian.org (full text, mbox):

From: Frans Pop <fjp@debian.org>
To: 344048-close@bugs.debian.org
Subject: Bug#344048: fixed in installation-guide 20070319
Date: Mon, 19 Mar 2007 19:02:10 +0000
Source: installation-guide
Source-Version: 20070319

We believe that the bug you reported is fixed in the latest version of
installation-guide, which is due to be installed in the Debian FTP archive:

installation-guide-alpha_20070319_all.deb
  to pool/main/i/installation-guide/installation-guide-alpha_20070319_all.deb
installation-guide-amd64_20070319_all.deb
  to pool/main/i/installation-guide/installation-guide-amd64_20070319_all.deb
installation-guide-arm_20070319_all.deb
  to pool/main/i/installation-guide/installation-guide-arm_20070319_all.deb
installation-guide-hppa_20070319_all.deb
  to pool/main/i/installation-guide/installation-guide-hppa_20070319_all.deb
installation-guide-i386_20070319_all.deb
  to pool/main/i/installation-guide/installation-guide-i386_20070319_all.deb
installation-guide-ia64_20070319_all.deb
  to pool/main/i/installation-guide/installation-guide-ia64_20070319_all.deb
installation-guide-mips_20070319_all.deb
  to pool/main/i/installation-guide/installation-guide-mips_20070319_all.deb
installation-guide-mipsel_20070319_all.deb
  to pool/main/i/installation-guide/installation-guide-mipsel_20070319_all.deb
installation-guide-powerpc_20070319_all.deb
  to pool/main/i/installation-guide/installation-guide-powerpc_20070319_all.deb
installation-guide-s390_20070319_all.deb
  to pool/main/i/installation-guide/installation-guide-s390_20070319_all.deb
installation-guide-sparc_20070319_all.deb
  to pool/main/i/installation-guide/installation-guide-sparc_20070319_all.deb
installation-guide_20070319.dsc
  to pool/main/i/installation-guide/installation-guide_20070319.dsc
installation-guide_20070319.tar.gz
  to pool/main/i/installation-guide/installation-guide_20070319.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 344048@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frans Pop <fjp@debian.org> (supplier of updated installation-guide package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 19 Mar 2007 15:00:12 +0100
Source: installation-guide
Binary: installation-guide-powerpc installation-guide-amd64 installation-guide-s390 installation-guide-ia64 installation-guide-mipsel installation-guide-arm installation-guide-mips installation-guide-sparc installation-guide-alpha installation-guide-i386 installation-guide-hppa
Architecture: source all
Version: 20070319
Distribution: unstable
Urgency: low
Maintainer: Frans Pop <fjp@debian.org>
Changed-By: Frans Pop <fjp@debian.org>
Description: 
 installation-guide-alpha - Debian installation guide
 installation-guide-amd64 - Debian installation guide
 installation-guide-arm - Debian installation guide
 installation-guide-hppa - Debian installation guide
 installation-guide-i386 - Debian installation guide
 installation-guide-ia64 - Debian installation guide
 installation-guide-mips - Debian installation guide
 installation-guide-mipsel - Debian installation guide
 installation-guide-powerpc - Debian installation guide
 installation-guide-s390 - Debian installation guide
 installation-guide-sparc - Debian installation guide
Closes: 344048 406290 406515 408340 408408 410129 410317 411399 413257
Changes: 
 installation-guide (20070319) unstable; urgency=low
 .
   [ Frans Pop ]
   * Cleaned up definitions of some entities and removed unused ones.
   * Implement infrastructure that allows entities to be translated.
     Thanks to Miroslav Kure for providing the patch. Closes: #344048, #406515.
   * Disable Korean PDF/PS formats for builds for the website.
   * appendix/files: update information about mouse configuration, based on a
     patch from Peter Samuelson (for which thanks). Closes: #406290.
   * boot-installer, appendix/preseed: document preseed/interactive parameter.
 .
   [ Joey Hess ]
   * Fix package name for installation-reports, and manual unfuzzy of all
     translations. Closes: #408408
 .
   [ Frans Pop ]
   * welcome:
     - make links to FSF and GNU more consistent (closes: #410317)
     - we do not necessarily share the ideals of the FSF (closes: #410129)
     Thanks to Francesco Poli for suggesting these changes.
   * using-d-i: guided partitioning now creates swap inside LVM.
     Thanks to Francesco Poli. Closes: #411399.
   * Document installs over PPPoE. Based on a text proposed by Eddy Petrisor.
     Closes: #408340.
   * installation-howto: update for the integration of base-config into D-I.
   * appendix/preseed:
     - as exim no longer asks any questions during installations, there is no
       real need to document it anymore
     - add link to Philip Hand's website as it contains many creative examples
     - document how to select the ftp protocol during mirror selection
     - document how to install from CD/DVD only (and not use a network mirror)
   * Update base/standard system and task sizes.
 .
   [ Joey Hess ]
   * Document debian-installer/allow_unauthenticated.
 .
   [ Wouter Verhelst ]
   * Update mac68k installation after notes from Finn Thain, upstream mac68k
     kernel hacker.
 .
   [ Frans Pop ]
   * Replace entity in example-preseed.txt file. Thanks to Geert Stappers for
     spotting the error. Closes: #413257.
Files: 
 1bf184d7991ba8117a354d4e0f8d68b6 1096 doc optional installation-guide_20070319.dsc
 40fd64d9b080291df8a96aa35bf761fe 6924843 doc optional installation-guide_20070319.tar.gz
 38ed810a0fc963acfb1eb349198a68bd 15067042 doc optional installation-guide-alpha_20070319_all.deb
 035dfd9f8c6cbd64750f65d3e11d79ac 16922954 doc optional installation-guide-amd64_20070319_all.deb
 d9aec94e6dbf5446b1cad1570a329023 14585690 doc optional installation-guide-arm_20070319_all.deb
 edf413dd1e40b79e66698fd1664048ef 14084448 doc optional installation-guide-hppa_20070319_all.deb
 24dfd4753a7c56d926e1e17fffd25aab 17436618 doc optional installation-guide-i386_20070319_all.deb
 91e75455424d2d689c1a8f13b265e784 15042080 doc optional installation-guide-ia64_20070319_all.deb
 7b997c1e92aaea3a9765baaa7bac7e26 14295016 doc optional installation-guide-mips_20070319_all.deb
 8a50f9b85fb34338d1b4201d85d1a369 14541286 doc optional installation-guide-mipsel_20070319_all.deb
 23a17e1c8e65f83ad75195aec7d18219 16751444 doc optional installation-guide-powerpc_20070319_all.deb
 b45147212014256bdc38a6e46387b0f5 13221226 doc optional installation-guide-s390_20070319_all.deb
 be3e12b9a45ee60aef6855ab8fa1830f 15328292 doc optional installation-guide-sparc_20070319_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFF/s+rgm/Kwh6ICoQRAnXhAJ488XOjNBmoGln6k/cYGz/RDC4smgCg1pKd
BfUA4U+QOg2w+DE8fh+4ARw=
=65E8
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 12:41:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 10:57:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.